purescript-0.15.12: PureScript Programming Language Compiler

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.IO.UTF8

Synopsis

- fixCRLF :: ByteString -> ByteString
- readUTF8FilesT :: [FilePath] -> IO [(FilePath, Text)]
- readUTF8FileT :: FilePath -> IO Text
- writeUTF8FileT :: FilePath -> Text -> IO ()
- readUTF8File :: FilePath -> IO String

# Documentation

fixCRLF :: ByteString -> ByteString #

Unfortunately ByteString's readFile does not convert line endings on Windows, so we have to do it ourselves

readUTF8FilesT :: [FilePath] -> IO [(FilePath, Text)] #

readUTF8FileT :: FilePath -> IO Text #

writeUTF8FileT :: FilePath -> Text -> IO () #

readUTF8File :: FilePath -> IO String #